Skip to main content
`Ctrl`+`K`
scipy.datasets.

# face

scipy.datasets.face(gray=False)

  Get a 1024 x 768, color image of a raccoon face.

  The image is derived from https://pixnio.com/fauna-animals/raccoons/raccoon-procyon-lotor

  Parameters:
    gray bool, optional

      If True return 8-bit grey-scale image, otherwise return a color image

  Returns:
    face ndarray

      image of a raccoon face

  Notes

  Array API Standard Support

  `face` is not in-scope for support of Python Array API Standard compatible backends other than NumPy.

  See Support for the array API standard for more information.

  Examples

      >>> import scipy.datasets
      >>> face = scipy.datasets.face()
      >>> face.shape
      (768, 1024, 3)
      >>> face.max()
      np.uint8(255)

      >>> import matplotlib.pyplot as plt
      >>> plt.gray()
      >>> plt.imshow(face)
      >>> plt.show()